Skip to main content
PATCH
/
api
/
v2
/
projects
/
{projectKey}
/
agent-optimizations
/
{optimizationKey}
Update an agent optimization
curl --request PATCH \
  --url https://app.launchdarkly.com/api/v2/projects/{projectKey}/agent-optimizations/{optimizationKey} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "maxAttempts": 0,
  "judgeModel": "judgeModel",
  "metricKey": "metricKey",
  "variableChoices": [
    {
      "key": ""
    },
    {
      "key": ""
    }
  ],
  "groundTruthResponses": [
    "groundTruthResponses",
    "groundTruthResponses"
  ],
  "modelChoices": [
    "modelChoices",
    "modelChoices"
  ],
  "judges": [
    {
      "threshold": 1.4658129805029452,
      "key": "key"
    },
    {
      "threshold": 1.4658129805029452,
      "key": "key"
    }
  ],
  "acceptanceStatements": [
    {
      "statement": "statement",
      "threshold": 6.027456183070403
    },
    {
      "statement": "statement",
      "threshold": 6.027456183070403
    }
  ],
  "userInputOptions": [
    "userInputOptions",
    "userInputOptions"
  ]
}
'
{
  "judgeModel": "judgeModel",
  "metricKey": "metricKey",
  "_links": {
    "parent": {
      "href": "href",
      "type": "type"
    },
    "self": {
      "href": "href",
      "type": "type"
    }
  },
  "groundTruthResponses": [
    "groundTruthResponses",
    "groundTruthResponses"
  ],
  "modelChoices": [
    "modelChoices",
    "modelChoices"
  ],
  "version": 5,
  "userInputOptions": [
    "userInputOptions",
    "userInputOptions"
  ],
  "maxAttempts": 0,
  "createdAt": 5,
  "aiConfigKey": "aiConfigKey",
  "_access": {
    "allowed": [
      {
        "reason": {
          "role_name": "role_name",
          "notActions": [
            null,
            null
          ],
          "notResources": [
            "notResources",
            "notResources"
          ],
          "effect": "allow",
          "resources": [
            "proj/*:env/*;qa_*:/flag/*"
          ],
          "actions": [
            "*"
          ]
        },
        "action": "action"
      },
      {
        "reason": {
          "role_name": "role_name",
          "notActions": [
            null,
            null
          ],
          "notResources": [
            "notResources",
            "notResources"
          ],
          "effect": "allow",
          "resources": [
            "proj/*:env/*;qa_*:/flag/*"
          ],
          "actions": [
            "*"
          ]
        },
        "action": "action"
      }
    ],
    "denied": [
      {
        "reason": {
          "role_name": "role_name",
          "notActions": [
            null,
            null
          ],
          "notResources": [
            "notResources",
            "notResources"
          ],
          "effect": "allow",
          "resources": [
            "proj/*:env/*;qa_*:/flag/*"
          ],
          "actions": [
            "*"
          ]
        },
        "action": "action"
      },
      {
        "reason": {
          "role_name": "role_name",
          "notActions": [
            null,
            null
          ],
          "notResources": [
            "notResources",
            "notResources"
          ],
          "effect": "allow",
          "resources": [
            "proj/*:env/*;qa_*:/flag/*"
          ],
          "actions": [
            "*"
          ]
        },
        "action": "action"
      }
    ]
  },
  "variableChoices": [
    {
      "key": ""
    },
    {
      "key": ""
    }
  ],
  "id": "id",
  "judges": [
    {
      "threshold": 1.4658129805029452,
      "key": "key"
    },
    {
      "threshold": 1.4658129805029452,
      "key": "key"
    }
  ],
  "key": "key",
  "acceptanceStatements": [
    {
      "statement": "statement",
      "threshold": 6.027456183070403
    },
    {
      "statement": "statement",
      "threshold": 6.027456183070403
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string
required
optimizationKey
string
required

Body

application/json

Agent optimization fields to update

maxAttempts
integer
modelChoices
string[]
judgeModel
string
variableChoices
object[]
acceptanceStatements
object[]
judges
object[]
userInputOptions
string[]
groundTruthResponses
string[]
metricKey
string

Response

Agent optimization updated

id
string
required
key
string
required
aiConfigKey
string
required
maxAttempts
integer
required
modelChoices
string[]
required
judgeModel
string
required
variableChoices
object[]
required
acceptanceStatements
object[]
required
judges
object[]
required
userInputOptions
string[]
required
groundTruthResponses
string[]
required
version
integer
required
createdAt
integer<int64>
required
_access
object
Example:
{
"allowed": [
{
"reason": {
"role_name": "role_name",
"notActions": [null, null],
"notResources": ["notResources", "notResources"],
"effect": "allow",
"resources": ["proj/*:env/*;qa_*:/flag/*"],
"actions": ["*"]
},
"action": "action"
},
{
"reason": {
"role_name": "role_name",
"notActions": [null, null],
"notResources": ["notResources", "notResources"],
"effect": "allow",
"resources": ["proj/*:env/*;qa_*:/flag/*"],
"actions": ["*"]
},
"action": "action"
}
],
"denied": [
{
"reason": {
"role_name": "role_name",
"notActions": [null, null],
"notResources": ["notResources", "notResources"],
"effect": "allow",
"resources": ["proj/*:env/*;qa_*:/flag/*"],
"actions": ["*"]
},
"action": "action"
},
{
"reason": {
"role_name": "role_name",
"notActions": [null, null],
"notResources": ["notResources", "notResources"],
"effect": "allow",
"resources": ["proj/*:env/*;qa_*:/flag/*"],
"actions": ["*"]
},
"action": "action"
}
]
}

The location and content type of related resources

Example:
{
"parent": { "href": "href", "type": "type" },
"self": { "href": "href", "type": "type" }
}
metricKey
string